
QGIS Application - Bug report #8150

DB Manager freezes QGIS when deleting table/view

2013-06-24 09:04 AM - Giovanni Manghi

Status: Closed

Priority: High

Assignee:

Category: DB Manager

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:Yes Copied to github as #: 16978

Description

I do not have a clear recipe to replicate this, just use DB manager for a while as a normal user would do, add layers, run queries, preview

tables and layers, etc. Then delete a table or view, very often QGIS freezes. Reopen it and try again deleting that table/view and will work

ok.

History

#1 - 2013-06-29 02:03 AM - Jürgen Fischer

- Subject changed from DM Manager freezes QGIS when deleting table/view to DB Manager freezes QGIS when deleting table/view

#2 - 2013-07-14 08:23 AM - Daniel Vaz

Please, I can't reproduce this bug.

My steps:

1 - open qgis

2 - add a vector layer

3 - delete a vector layer

4 - add a spatialite layer

5 - run a sql command that create a table in opened database

6 - run a sql command that delete the created table

I can't reproduce this issue.

#3 - 2013-07-14 09:54 AM - Giovanni Manghi

Daniel Vaz wrote:

Please, I can't reproduce this bug.

My steps:

1 - open qgis

2 - add a vector layer

3 - delete a vector layer

4 - add a spatialite layer

5 - run a sql command that create a table in opened database

6 - run a sql command that delete the created table

I can't reproduce this issue.
as I said I don't have the exact steps to replicate this issue. But if I use for a while DB Manager with real work data with real work operations, then sooner

or later I usually hit this issue. I will try to see if I can replicate the issue with specific steps.

#4 - 2014-01-30 11:40 PM - Paolo Cavallini

- Target version changed from Version 2.0.0 to Future Release - High Priority

#5 - 2014-02-11 03:49 AM - Martin Dobias

Does it happen with PostGIS or SpatiaLite or both?

#6 - 2014-02-15 07:44 AM - Giovanni Manghi

Martin Dobias wrote:

Does it happen with PostGIS or SpatiaLite or both?

Hi Martin,

I tested only PostGIS.

#7 - 2014-06-17 11:43 AM - Jürgen Fischer

- Status changed from Open to Feedback

Please provide information to reproduce the bug.

#8 - 2014-06-17 12:39 PM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Feedback to Closed

Jürgen Fischer wrote:

Please provide information to reproduce the bug.

as said in the description I had no clear way to replicate. I think this may be related to the (fixed?) issue of QGIS not releasing the connection to Postgres.

We can close this for now, will re-open if necessary.
